Account read

get/Account/{id}
Page View

This resource tracks financial accounts and transactions for patients, including billing information, financial responsibility, and account status. Each account entry contains details about charges, coverage, and the responsible party.

You can review or retrieve account information with FHIR® passthrough.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

read

Review a specific Account resource with billing and financial details for a given patient.

FHIR read

To use a read interaction, you must know the related resource ID, which you may not have in your real workflows. A read is likely only a follow-up option after receiving the specific resource in a recent FHIR® passthrough or data on demand exchange.

Typically, you should use the more flexible _search with query parameters, unless you're guaranteed to request data directly from a FHIR® server using the resource ID. Learn more about using FHIR® identifiers.

Request parameters

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Account/{id}' \
2
--request GET \
3
--header 'Authorization: Bearer $API_TOKEN'

Request Parameters

  • id
    required, string

    Account identifier

Response fields and example

RedoxAccountExample
json
1
{}

    Used to contain financial-related information, notably guarantor

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Account
  • status
    required, string

    Indicates whether the account is presently used/usable or not.

    Possible Values: active, inactive, entered-in-error, on-hold, unknown
  • id
    string

    The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

  • subject
    Array of object

    Identifies the entity which incurs the expenses. While the immediate recipients of services or goods might be entities related to the subject, the expenses were ultimately incurred by the subject of the Account.

    Must reference one of the following types of resources:

    • Patient
    • Device
    • Practitioner
    • PractitionerRole
    • Location
    • HealthcareService
    • Organization
    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • guarantor
    Array of object

    The parties responsible for balancing the account if other payment options fall short.

    • party
      required, object

      The entity who is responsible.

      Must reference one of the following types of resources:

      • Patient
      • RelatedPerson
      • Organization
      • reference
        string

        A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

    • extension
      Array of guarantorType or Other

      May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

      • url
        required, string

        Source of the definition for the extension code - a logical name or a URL.

        Value: https://fhir.redoxengine.com/StructureDefinition/account-guarantor-type
      • valueCodeableConcept
        object

        Value of extension - must be one of a constrained set of the data types (see Extensibility for a list).

        • text
          string

          A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.